Begin main content

PDFs

All CADTH documents posted on the web site require the Adobe Acrobat Reader 8.0+. If a PDF document does not open or function correctly, please ensure that you have the most current freeware. You can download it from Adobe’s web site, Adobe Acrobat Reader.